#Расскомментируйте этот код,
#и внесите необходимые правки в версию и путь,
#чтобы работать с установленным вручную (не через hashicorp provider registry) провайдером
/*
terraform {
  required_providers {
    decort = {
      source = "basis/decort/decort"
      version = "<VERSION>"
    }
  }
}
*/

provider "decort" {
  authenticator = "decs3o"
  #controller_url = <DECORT_CONTROLLER_URL>
  controller_url = "https://ds1.digitalenergy.online"
  #oauth2_url = <DECORT_SSO_URL>
  oauth2_url           = "https://sso.digitalenergy.online"
  allow_unverified_ssl = true
}

resource "decort_pfw" "pfw" {
  # ID виртуальной машины
  # Обязательный параметр
  # int
  compute_id = 11269

  # Начальный порт правила
  # Обязательный параметр
  # int
  public_port_start = 200

  # Внутренний порт
  # Обязательный параметр
  # int
  local_base_port = 22

  # Протокол соединения (tcp / udp)
  # Обязательный параметр
  # string
  proto = "tcp"

  # Конечный порт (включительно)
  # Опциональный параметр
  # int
  public_port_end = 21321
}

output "pfw_out" {
  value = decort_pfw.pfw
}
